--==--==--==--==--==--==--==--==--
-- WarTanks Script Version 1.0  --
--==--==--==--==--==--==--==--==--
--         Edit is good         --
--       Reupload is good       --
--     Forgot my name is bad    --
--==--==--==--==--==--==--==--==--
--   Script by [TW2D]Razgriz    --
--  Graphics by [TW2D]Razgriz   --
--==--==--==--==--==--==--==--==--

menuname="Select your tank type"	-- Tank Menu name.
home="gfx/wartank/"					-- Images home menu.
tank_speed=6						-- Tank speed

function customdamage(m,n)
	parse('mp_wpndmg "'..m..'" '..n)
end

function createmenu(id)
	local tmp=""
	for d1, d2 in ipairs(tank_type) do
		tmp = tmp..d2.name.."|"..d2.desc..","
	end
	menu(id,menuname.."@b,"..tmp)
end

function createimage(id,sel)
	body[id]=image(home.."body.png",0,0,id+200,0)
	weapon[id]=image(home..tank_type[sel].image,1,0,id+200,0)
	parse("speedmod "..id.." "..tank_speed)
end

function initArray(m,n)
	local array = {}
	for i = 1, m do
		array[i]=n
	end
	return array
end

home="gfx/wartank/"
lx=initArray(32,0)
ly=initArray(32,0)
c=string.char(169)
body=initArray(32,0)
weapon=initArray(32,0)
parse("mp_deathdrop 4")
dofile("sys/lua/wartank/tank.lua")

addhook("serveraction","tank_fkeys")
function tank_fkeys(id,fkey)
	if fkey==1 then parse("killplayer "..id) end
end

addhook("menu","tank_menu")
function tank_menu(id,tit,sel)
	if tit==menuname then
		if sel>0 then
			parse("equip "..id.." "..tank_type[sel].weapon)
			parse("setweapon "..id.." "..tank_type[sel].weapon)
			parse("setarmor "..id.." "..tank_type[sel].armor)
			parse("setmaxhealth "..id.." "..tank_type[sel].health)
			createimage(id,sel)
		end
	end
end

addhook("spawn","tank_spawn")
function tank_spawn(id)
	parse("speedmod "..id.." -100")
	if player(id,"team")==1 then parse("strip "..id.." 2") end
	if player(id,"team")==2 then parse("strip "..id.." 1") end
	freeimage(body[id])
	freeimage(weapon[id])
	createmenu(id)
end

addhook("move","tank_rotate")
function tank_rotate(id,x,y)
	if lx[id]>x and ly[id]>y then						-- left up
		if body[id] then
			imagepos(body[id],0,0,-45)
		end
	elseif lx[id]>x and ly[id]<y then					-- left down
		if body[id] then
			imagepos(body[id],0,0,225)
		end
	elseif lx[id]<x and ly[id]>y then					-- right up
		if body[id] then
			imagepos(body[id],0,0,45)
		end
	elseif lx[id]<x and ly[id]<y then					-- right down
		if body[id] then
			imagepos(body[id],0,0,135)
		end
	elseif lx[id]>x  then								-- left
		if body[id] then
			imagepos(body[id],0,0,270)
		end
	elseif lx[id]<x then								-- right
		if body[id] then
			imagepos(body[id],0,0,90)
		end
	elseif ly[id]>y  then								-- up
		if body[id] then
			imagepos(body[id],0,0,0)
		end
	elseif ly[id]<y  then								-- down
		if body[id] then
			imagepos(body[id],0,0,180)
		end
	end
	lx[id]=x
	ly[id]=y
end

addhook("die","tank_die_effect")
function tank_die_effect(id)
	parse("effect \"fire\" "..player(id,"x").." "..player(id,"y").." 5 96 255 0 0")
end

addhook("buy","tank_noeffect")
addhook("drop","tank_noeffect")
addhook("buildattempt","tank_noeffect")
function tank_noeffect(id)
	return 1
end


addhook("reload","fastreload")
function fastreload(id,mode)
wp = player(id,"weapontype")
	if mode==1 then
		parse("equip "..id.." "..wp)
		parse("setweapon "..id.." "..wp)
	end
end

addhook("ms100","tank_emergencysmoke")
function tank_emergencysmoke()
	for i in ipairs(player(0,"table")) do
		if player(i,"exists") then
			if player(i,"health")<30 and player(i,"health")>0 then
				parse("effect \"smoke\" "..player(i,"x").." "..player(i,"y").." 5 32")
			end
		end
	end
end